/*!
* @file TrapBase.cpp
* @brief ゲーム中のトラップベースを定義する
* @date 2014/02/01
* @author Deskull
* 2014 Sikabane Works.
*/

#include "stdafx.h"
#include "TrapBase.h"

namespace Deeangband
{
	TrapBase::TrapBase(void) : GameElement()
	{
		minDepth = 0;
		maxDepth = 255;
		rarity = 10;
		baseHP = 100;
		baseDifficulty = 10;
		return;
	}

	TrapBase::~TrapBase(void)
	{
		return;
	}
}